# gds-theme - Angular

## Import

```typescript
import { GdsThemeComponent } from '@sebgroup/green-core-ng'
```

## Usage

Use the component in your Angular templates:

```html
<gds-theme>
  <!-- content -->
</gds-theme>
```

## Event Handling

Events are emitted using Angular output syntax. Event names are converted from kebab-case to camelCase:

| Web Component Event | Angular Output | Handler Example |
|---------------------|----------------|-----------------|
| `gds-color-scheme-changed` | `gdsColorSchemeChanged` | `(gdsColorSchemeChanged)="handler($event)"` |
| `gds-design-version-changed` | `gdsDesignVersionChanged` | `(gdsDesignVersionChanged)="handler($event)"` |
